CacheCowFilter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.CacheCowFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Class CacheCowFilter

    java.lang.Object
      org.hyperic.hq.ui.BaseFilter
          org.hyperic.hq.ui.CacheCowFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class CacheCowFilter

extends BaseFilter

moo, all of the applications pages are dynamic, they should never be cached

Constructor Summary
`CacheCowFilter()`

Method Summary
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class org.hyperic.hq.ui.BaseFilter
`destroy, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheCowFilter

    public CacheCowFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Overrides:
    `init` in class `BaseFilter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Specified by:
    `doFilter` in class `BaseFilter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.